#
# spec file for package libgtkhtml
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libgtkhtml-2-0
BuildRequires:  gail-devel libgnomecanvas-devel libxml2-devel update-desktop-files
License:        GPL-2.0+ and LGPL-2.1+
Group:          Development/Libraries/GNOME
# BNC#437293
%ifarch ppc64
Obsoletes:      libgtkhtml-64bit
%endif
#
Version:        2.11.1
Release:        125.1
Summary:        A Library for HTML Support in GTK2.0
Url:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/libgtkhtml/2.11/libgtkhtml-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM libgtkhtml-init-var.patch vuntz@novell.com -- Patch is in upstream git now
Patch:          libgtkhtml-init-var.patch

%description
Libgtkhtml provides extensions for GTK to handle the HTML format. It is
widely used by applications for the GNOME 2.x Desktop.



%package devel
License:        GPL-2.0+ and LGPL-2.1+
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version} gtk2-devel libxml2-devel gail-devel
# bug437293
%ifarch ppc64
Obsoletes:      libgtkhtml-devel-64bit
%endif
#

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



%prep
%setup -q -n libgtkhtml-%{version}
%patch

%build
# needed for libgtkhtml-2.11.0:
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure --with-pic --disable-static
make %{?jobs:-j%jobs}

%install
%makeinstall
%{__rm} -f %{buildroot}%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING.LIB ChangeLog NEWS README TODO docs/IDEAS
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/gtkhtml-2.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Jan 27 2014 mailaender@opensuse.org
- renamed according to shlib policy
* Wed May 13 2009 vuntz@novell.com
- Rename libgtkhtml.patch to libgtkhtml-init-var.patch and tag it.
- Remove AutoReqProv: it's default now.
- Do not call autoreconf.
* Mon Jan 26 2009 crrodriguez@suse.de
- remove "la" files [BNC#357465]
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Mon Sep 17 2007 sbrabec@suse.cz
- Updated to version 2.11.1:
  * Support for getting at various properties of embedded objects
  * Support for favicons in documents
  * Use GtkComboBox for drop-down selection form elements
  * Set default values for select form elements
  * Support meta http-equiv="refresh"
  * Don't abort on unhandled text alignments
  * Fix crash with keynav/mouse hilighting in yelp
  * Be lenient with incomplete list elements in CSS
  * Distrubute the sample html files for the test programs
  * General build system cleanup and fixes
* Wed Feb  7 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552).
* Fri Jan 12 2007 sbrabec@suse.cz
- More spec file cleanups.
* Thu Dec 14 2006 maw@suse.de
- Move to /usr
- Some specfile cleanup.
* Fri Aug  4 2006 btimothy@suse.de
- Fix for BNC #186961.  Prevents crash with accessibility enabled
  and the size of highlighted text being increased/decreased.
* Sun Feb 19 2006 aj@suse.de
- Reduce BuildRequires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 sbrabec@suse.cz
- Updated to version 2.11.0.
* Thu Sep 22 2005 gekker@suse.de
- Fix use of uninitialized variable and implicit delcarations
* Wed Jun  1 2005 sbrabec@suse.cz
- Fixed devel requirements.
* Mon Apr 18 2005 meissner@suse.de
- Do not use -O0 an x86_64 anymore.
* Thu Mar  3 2005 gekker@suse.de
- Updated to version 2.6.3
* Tue Jan 18 2005 clahey@suse.de
- Updated to version 2.6.2.
* Mon May 10 2004 sbrabec@suse.cz
- Updated to version 2.6.1 (GNOME 2.6).
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Wed Oct 29 2003 sbrabec@suse.cz
- Updated to version 2.4.1.
* Thu Oct  9 2003 sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Fri Sep 12 2003 sf@suse.de
- remove debug.diff, it's not neccessary.
* Thu Sep 11 2003 sf@suse.de
- temporary fix for [bug 30481] : compile libgtkhtml
  with -O0 on AMD64
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jun 26 2003 sbrabec@suse.cz
- Updated neededforbuild.
* Tue May 27 2003 ro@suse.de
- keep buildroot clean
* Mon May 26 2003 ro@suse.de
- do not provide/obsolete gnvfsd
* Thu May 22 2003 sbrabec@suse.cz
- Updated to version 2.2.4.
* Wed Jan 29 2003 hhetter@suse.de
- updated to version 2.2.0
* Fri Jan 24 2003 meissner@suse.de
- autoreconf -i -f so we get the stuff for ppc64.
* Wed Jan 15 2003 hhetter@suse.de
- updated to version 2.1.8
* Tue Jan 14 2003 ro@suse.de
- added expat to neededforbuild
* Thu Nov 28 2002 hhetter@suse.de
- updated to version 2.0.3 [GNOME 2.0.3]
* Wed Oct 23 2002 hhetter@suse.de
- updated to version 2.0.2
* Fri Sep 27 2002 ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Sat Aug 10 2002 kukuk@suse.de
- Add openssl to neededforbuild
- *-devel should require main package
* Wed Aug  7 2002 hhetter@suse.de
- updated to version 2.0.1
* Fri Jul 26 2002 adrian@suse.de
- fix neededforbuild
* Wed Jun 19 2002 hhetter@suse.de
- updated to version 2.0.0
* Wed Jun  5 2002 hhetter@suse.de
- initial SuSE Release
